#!/usr/local/bin/python
# -*- coding: utf-8 -*-

from flask import Flask, request, jsonify
from threading import Thread, Lock, Semaphore

import ths
import wind
import json

sem = Semaphore(5)  # 此变量用于控制最大并发数
dllock = Lock()  # 此变量用来控制实时行情推送中落数据到本地的锁

import logging

app = Flask(__name__)

logging.basicConfig(filename="out.log", level=logging.DEBUG,
                    format='%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s')


@app.route('/edbInfo/ths/', methods=['POST'])
def EdbInfoThs():
    logging.info("start create")
    data = request.get_data()
    print(data)
    data = json.loads(data)
    print(data)
    edbCode = data['EdbCode']
    startDate = data['StartDate']
    endDate = data['EndDate']

    print(edbCode)
    print(startDate)
    print(endDate)

    # edbCode = 'M001625225'
    # startDate = '2020-01-01'
    # endDate = '2021-04-15'

    result = ths.GetEdbDataByThs(edbCode, startDate, endDate)
    # return jsonify({'result': result})
    return result

@app.route('/edbInfo/wind/', methods=['POST'])
def EdbInfoWind():
    logging.info("start create")
    data = request.get_data()
    print(data)
    data = json.loads(data)
    print(data)
    edbCode = data['EdbCode']
    startDate = data['StartDate']
    endDate = data['EndDate']

    print(edbCode)
    print(startDate)
    print(endDate)

    # edbCode = 'M001625225'
    # startDate = '2020-01-01'
    # endDate = '2021-04-15'

    result = wind.GetEdbDataByWind(edbCode, startDate, endDate)
    # return jsonify({'result': result})
    return result
    # return "test"


if __name__ == '__main__':
    app.debug = True
    app.run(
        host='0.0.0.0',
        port=5002,
        debug=True
    )
